Subject: Re: About I-cache and D-cache of MPC8245

From: Jerry Van Baren <[email-masked]>
Date: Tue, 25 Jan 2005 09:37:37 -0500

chao yu wrote:
> Hi, All
>         I am a newbie in embeded system from China, recently i enable 
> the I-cache and D-cache of MPC8245. But it will crash. What the cause 
> might be? I have set the ICE and DCE filed of HID0 reg. and WIMG field 
> of BAT reg. Who can give me a hand? Thanks.
>  
> Regard,
> Yu.Chao

Your SDRAM initialization is probably not correct.  When you turn on 
caches, the processor starts doing burst reads of the SDRAM and that is 
when SDRAM initialization problems show up.

<http://www.denx.de/twiki/bin/view/DULG/UBootCrashAfterRelocation>

gvb